Package org.eclipse.ecf.core.security

## Class ObjectCallback

- java.lang.Object
- - org.eclipse.ecf.core.security.ObjectCallback

All Implemented Interfaces:
  `Callback`

    public class ObjectCallback
    extends Object
    implements Callback

Callback that handles arbitrary Objects

### Constructor Summary

Constructors
`ObjectCallback()`
`ObjectCallback​(Object val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getObject()`
`void` `setObject​(Object val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectCallback

    public ObjectCallback()

#### ObjectCallback

    public ObjectCallback​(Object val)

### Method Detail

#### setObject

    public void setObject​(Object val)

#### getObject

    public Object getObject()